{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.BXD2"
  },
  "caption" : "报销单2",
  "codeName" : "BXD2Usr03139455ReportView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXD2Usr03139455ReportView.json",
  "name" : "BXD2Usr03139455ReportView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr03139455ReportView",
  "getPSDEViewId" : "C0702C10-481C-4DE4-A759-46E687F12644",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0313249701",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "Usr03139455ReportView报表视图布局",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_captionbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "captionbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_right",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_toolbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      } ],
      "predefinedType" : "VIEWHEADER"
    }, {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_searchform",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "searchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "报表",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "reportpanel1",
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "predefinedType" : "VIEWCONTENT"
    }, {
      "caption" : "表格",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "reportpanel2",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "8B92FC54-3622-4339-84C7-81062DF5692D",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "codeName" : "Usr03134087_SearchForm",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSSEARCHFORMS/Usr03134087_SearchForm.json",
      "logicName" : "报表视图_搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "SEARCHFORM"
      },
      "getPSDEFormPages" : [ {
        "caption" : "常规条件",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : false,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "searchform",
      "modelid" : "980188E5-5C3E-4862-92C4-1A0838811326",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "codeName" : "Usr03139455ReportView_Report",
      "controlType" : "REPORTPANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSREPORTPANELS/Usr03139455ReportView_Report.json",
      "logicName" : "Report",
      "getPSAppDEReport" : {
        "codeName" : "Usr03139455ReportView_Report",
        "name" : "Report",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSDEDataSet" : {
          "modelref" : true,
          "id" : "Default"
        },
        "reportFile" : "#",
        "reportType" : "USER2"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      },
      "getPSControlParam" : {
        "id" : "REPORTPANEL"
      },
      "name" : "reportpanel",
      "modelid" : "0CDD7F8B-3ED2-40B4-BA81-8ACA4477404A",
      "modeltype" : "PSDEREPORTPANEL"
    }, {
      "aggMode" : "NONE",
      "codeName" : "Test",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2/PSGRIDS/Test.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      },
      "groupMode" : "NONE",
      "logicName" : "Test",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/BXD2EditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "REPORTPANEL1"
      },
      "getPSDEDataImport" : {
        "modelref" : true,
        "id" : "DataImportTest"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "caption" : "报销类型",
        "codeName" : "type",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "type",
        "excelCaption" : "报销类型",
        "name" : "type",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__UsrCodeList1225197182.json"
        },
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.MXCOUNT"
        },
        "caption" : "属性",
        "codeName" : "mxcount",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "mxcount",
        "excelCaption" : "属性",
        "name" : "mxcount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MXCOUNT",
          "codeName" : "MXcount"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BXD2ID"
        },
        "caption" : "报销单2标识",
        "codeName" : "bxd2id",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "bxd2id",
        "excelCaption" : "报销单2标识",
        "name" : "bxd2id",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updatedate",
        "excelCaption" : "更新时间",
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.BXD2NAME"
        },
        "caption" : "报销单2名称",
        "codeName" : "bxd2name",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "bxd2name",
        "excelCaption" : "报销单2名称",
        "name" : "bxd2name",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BXD2NAME",
          "codeName" : "BXD2Name"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : false
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEMAN"
        },
        "caption" : "建立人",
        "codeName" : "createman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createman",
        "excelCaption" : "建立人",
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "caption" : "更新人",
        "codeName" : "updateman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updateman",
        "excelCaption" : "更新人",
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSControlRenders" : [ {
          "layoutPanelModel" : "const userid = '';\r\nconst usertext = data[controller.fieldName] || '';\r\nconst app = await ibiz.hub.getApp(context.srfappid);\r\nconst dataItems = await app.codeList.get(\r\n    'SysOperator',\r\n    context,\r\n    params,\r\n)\r\nif (!dataItems || dataItems.length === 0) {\r\n    return '';\r\n}\r\nlet operator = {};\r\nlet avatarContent = '';\r\nlet avatarBg = ibiz.util.text.stringToHexColor(usertext);\r\ndataItems.find((items) => {\r\n    const item = items[1] || {};\r\n    if ((item.value && userid && item.value === userid) || (item.text && usertext && item.text === usertext)) {\r\n        operator = item;\r\n        return true;\r\n    }\r\n    return false;\r\n});\r\nif (operator.data && operator.data.iconurl) {\r\n    // return operator.data.iconurl;\r\n    // 如果存在\r\n    avatarContent = `<img class=\"ibiz-picker-dropdown-select-modal__personel-list--avatar\" style=\"width:100%; height:100%; object-fit:cover; border-radius:50%;\"\r\n            src=\"${operator.data.iconurl}\" alt=\"\">`;\r\n} else {\r\n    avatarContent = ibiz.util.text.abbreviation(usertext) || '';\r\n}\r\nreturn `\r\n<div\r\n    class=\"ibiz-picker-dropdown-select-value is-readonly\"\r\n    style=\"overflow:hidden; width:max-content; display:flex; gap: 8px; align-items:center; height:var(--ibiz-height-control-default);\"\r\n    title=\"\"\r\n>\r\n    <div \r\n        class=\"ibiz-picker-dropdown-select-value__textimg\"\r\n        style=\"width:var(--ibiz-height-control-default); min-width:var(--ibiz-height-control-default); height:var(--ibiz-height-control-default); overflow:hidden; font-size:12px; line-height:var(--ibiz-height-control-default); color:var(--ibiz-color-primary-active-text); text-align:center; border-radius:50%;background-color: ${avatarBg};\"\r\n    >\r\n    ${avatarContent}\r\n    </div>\r\n    <div\r\n        class=\"ibiz-picker-dropdown-select-value__text\"\r\n        style=\"display:flex; align-items:center; justify-content:left; height:var(--ibiz-height-control-default); overflow:hidden; text-overflow:ellipsis; white-space:nowrap; overflow:hidden; text-overflow:ellipsis; white-space:nowrap;\"\r\n    >\r\n        ${usertext}\r\n    </div>\r\n</div>\r\n`;",
          "name" : "logic",
          "renderType" : "LAYOUTPANEL_MODEL"
        } ],
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "caption" : "建立时间",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "excelCaption" : "建立时间",
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "type",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        }
      }, {
        "dataType" : 25,
        "name" : "mxcount",
        "getPSAppDEField" : {
          "name" : "MXCOUNT",
          "codeName" : "MXcount"
        }
      }, {
        "dataType" : 25,
        "name" : "bxd2id",
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "updatedate",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "dataType" : 21,
        "name" : "bxd2name",
        "getPSAppDEField" : {
          "name" : "BXD2NAME",
          "codeName" : "BXD2Name"
        }
      }, {
        "dataType" : 25,
        "name" : "createman",
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        }
      }, {
        "dataType" : 25,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "customCode" : true
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 21,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "BXD2NAME",
          "codeName" : "BXD2Name"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "报销单2标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "BXD2ID",
          "codeName" : "BXD2Id"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
        }
      },
      "sortMode" : "REMOTE",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : false,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "reportpanel1",
      "modelid" : "7BD44682-F3FC-4F2C-9884-751A9786ACFC",
      "modeltype" : "PSDEGRID"
    }, {
      "controlType" : "SEARCHBAR",
      "name" : "searchbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 0,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : false,
      "mobileSearchBar" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.BXD2"
      },
      "caption" : "报销单2",
      "codeName" : "Usr03139455ReportViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BXD2.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "reportpaneltest",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEREPORTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "loadDefault" : true,
  "modelid" : "ef8331e4c008391dbd242bfb0a9c9c5e",
  "modeltype" : "PSAPPDEVIEW"
}